[apport] multisync crashed with SIGSEGV in irmc_obex_connect()

Bug #89244 reported by fragro on 2007-03-02
28
Affects Status Importance Assigned to Milestone
multisync (Ubuntu)
Medium
MOTU

Bug Description

Binary package hint: multisync

none

ProblemType: Crash
Architecture: i386
Date: Fri Mar 2 17:13:47 2007
DistroRelease: Ubuntu 7.04
ExecutablePath: /usr/bin/multisync
Package: multisync 0.82-8build1
ProcCmdline: /usr/bin/multisync
ProcCwd: /home/fragro
ProcEnviron:
 SHELL=/bin/bash
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/bin/X11:/usr/games
 LANG=de_DE.UTF-8
 LANGUAGE=de_DE:de:en_GB:en
Signal: 11
SourcePackage: multisync
Stacktrace:
 #0 0xb6803a3a in irmc_obex_connect () from /usr/lib/multisync/libirmc_sync.so
 #1 0xb6807eee in sync_connect () from /usr/lib/multisync/libirmc_sync.so
 #2 0x0805e381 in sync_main ()
 #3 0xb741e31b in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
 #4 0xb73a73ee in clone () from /lib/tls/i686/cmov/libc.so.6
StacktraceTop:
 irmc_obex_connect () from /usr/lib/multisync/libirmc_sync.so
 sync_connect () from /usr/lib/multisync/libirmc_sync.so
 sync_main ()
 start_thread () from /lib/tls/i686/cmov/libpthread.so.0
 clone () from /lib/tls/i686/cmov/libc.so.6
Uname: Linux fragro-laptop 2.6.20-9-generic #2 SMP Mon Feb 26 03:01:44 UTC 2007 i686 GNU/Linux
UserGroups: adm admin audio cdrom dialout dip floppy lpadmin plugdev scanner video

fragro (frank-grossmann) wrote :
Daniel Holbach (dholbach) wrote :

Thanks for your bug report.

Changed in multisync:
assignee: nobody → motu
importance: Undecided → Medium

StacktraceTop:?? ()
?? ()

Adam Niedling (krychek) wrote :

Feisty is not supported anymore and there is a newer version of multisync. Please open a new bug if you still get a crash in a later version of Ubuntu.

Changed in multisync:
status: New → Invalid
Ali Sheikh (asheikh) wrote :

<rant>Sure, we, as users can do that -- but for what benefit? I suspect what will happen is that 1yr 9months after the report of failure a dev would logon an reject the bug because <insert-current-ubuntu-release-here> is no longer supported. This all seems pretty pointless to me.</rant>

Ali Sheikh (asheikh) wrote :

Still segfaults for me in Intrepid.

Adam Niedling (krychek) wrote :

This is the only way to make sure if this is still an issue or not if the bug reporters don't update their bugs. Most of these segfaults happen in alpha/beta versions of Ubuntu and they mostly get fixed but the bug reports remain open forever.

Can you provide exact steps on how to make it crash?

Changed in multisync:
status: Invalid → Incomplete
Ali Sheikh (asheikh) wrote :

Here's how I can re-create the problem:

1. Make sure multisync and all the libmultisync plugins are installed.
2. Create new profile
3. In the first plugin, chose IrMC. In the options make sure that the connection type is Bluetooth.
4. In the second plugin, chose Backup. In the options, specify any directory name for the backup location.
5. OK to save the new configuration.
6. Clink Sync in the main multisync window.
7. Witness segfault.

I think the key part in the above is the Bluetooth profile.

Adam Niedling (krychek) on 2008-12-06
Changed in multisync:
status: Incomplete → New
Karl Trygve Kalleberg (karltk) wrote :

This problem persists in intrepid, following the procedure outlined by Ali Sheikh, and even with the Evolution 2 plugin. Stack trace:

#0 0x00007f5d9faf23e9 in irmc_obex_connect () from /usr/lib/multisync/libirmc_sync.so
#1 0x00007f5d9faf5f80 in sync_connect () from /usr/lib/multisync/libirmc_sync.so
#2 0x0000000000416725 in sync_main ()
#3 0x00007f5da96983ba in start_thread () from /lib/libpthread.so.0
#4 0x00007f5da94050ad in clone () from /lib/libc.so.6
#5 0x0000000000000000 in ?? ()

Linux vind 2.6.28-4-generic #10-Ubuntu SMP Mon Jan 12 20:05:48 UTC 2009 x86_64 GNU/Linux

multisync 0.82-8.1ubuntu2

Thank you for taking the time to report this bug and helping to make Ubuntu better. The version of Ubuntu your reporting this issue on is in End of Life status. You can learn more about this at https://wiki.ubuntu.com/Releases Please update Ubuntu, provide a detailed error report, and mark this bug as new. Thanks!

Changed in multisync (Ubuntu):
status: New → Invalid

Thank you for taking the time to report this bug and helping to make Ubuntu better. My apologies as I should not have marked this Invalid. The issue that you reported is one that should be reproducible with the live environment of the Desktop CD of the development release - Maverick Meerkat. It would help us greatly if you could test with it so we can work on getting it fixed in the next release of Ubuntu. You can find out more about the development release at http://www.ubuntu.com/testing/ . Thanks again and we appreciate your help.

Changed in multisync (Ubuntu):
status: Invalid → Incomplete

Hi there - thanks for the message. My only problem is that I did not
report this bug and am not sure what it is all about! Either someone has
stolen my identity to report bugs (which seems highly unlikely!) or that
there is a mix up somewhere in the database.

Bill

On 19/09/2010 02:25, rusivi1 wrote:
> Thank you for taking the time to report this bug and helping to make
> Ubuntu better. My apologies as I should not have marked this Invalid.
> The issue that you reported is one that should be reproducible with the
> live environment of the Desktop CD of the development release - Maverick
> Meerkat. It would help us greatly if you could test with it so we can
> work on getting it fixed in the next release of Ubuntu. You can find out
> more about the development release at http://www.ubuntu.com/testing/ .
> Thanks again and we appreciate your help.
>
> ** Changed in: multisync (Ubuntu)
> Status: Invalid => Incomplete
>
>

Ali Sheikh (asheikh) wrote :

After updating to Maverick, I tried this out. I can no longer reproduce the crash.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers